Bug 574119 (CVE-2010-0395) - CVE-2010-0395 openoffice.org Execution of Python code when browsing macros
Summary: CVE-2010-0395 openoffice.org Execution of Python code when browsing macros
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0395
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 590797 590798 590801 590802 600674 804533
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 17:00 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 06:21:18 UTC


Attachments (Terms of Use)
tweak to apply against OOO2 tech preview in RHEL-4 (3.89 KB, patch)
2010-05-10 11:17 UTC, Caolan McNamara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0459 normal SHIPPED_LIVE Moderate: openoffice.org security update 2010-06-23 14:21:03 UTC

Description Marc Schoenefeld 2010-03-16 17:00:55 UTC
Marc Schoenefeld found a flaw in the way OpenOffice.org 3.2.0
and earlier, enforced non-executable permission, when browsing
macros, written in Python scripting language. If a local user
was tricked into opening a specially-crafted OpenDocument Text
(ODT) file, containing macros, and previewed the macro directories
structure, it could lead to Python macro execution even when macros
execution was disabled.

Comment 4 Jan Lieskovsky 2010-05-10 10:47:41 UTC
This issue did NOT affect the versions of the openoffice.org package,
as shipped with Red Hat Enterprise Linux 3 and 4.

This issue affects the versions of the openoffice.org2 package,
as shipped with Red Hat Enterprise Linux 4.

This issue affects the version of the openoffice.org package,
as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the openoffice.org package,
as shipped with Fedora release of 11 and 12.

Comment 5 Caolan McNamara 2010-05-10 11:17:47 UTC
Created attachment 412803 [details]
tweak to apply against OOO2 tech preview in RHEL-4

Comment 10 Tomas Hoger 2010-06-05 14:01:35 UTC
Public now via:
  http://www.openoffice.org/security/cves/CVE-2010-0395.html

Fixed upstream in version 3.2.1.

Comment 11 Fedora Update System 2010-06-05 14:02:25 UTC
openoffice.org-3.2.0-12.24.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.24.fc13

Comment 13 Fedora Update System 2010-06-06 19:20:31 UTC
openoffice.org-3.1.1-19.32.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.32.fc12

Comment 14 Fedora Update System 2010-06-06 19:21:29 UTC
openoffice.org-3.1.1-19.13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.13.fc11

Comment 15 errata-xmlrpc 2010-06-07 19:34:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0459 https://rhn.redhat.com/errata/RHSA-2010-0459.html

Comment 16 Fedora Update System 2010-06-07 22:16:47 UTC
openoffice.org-3.1.1-19.32.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-06-07 22:25:56 UTC
openoffice.org-3.1.1-19.13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-06-07 22:26:43 UTC
openoffice.org-3.2.0-12.24.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.